Subject: Re: bug#57144: 29.0.50; Missing description for excluded files in docstring of loaddefs-generate

From: Arash Esbati <[email-masked]>
Date: Sat, 13 Aug 2022 18:47:52 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> Arash Esbati <[email-masked]> writes:
>
>> (loaddefs-generate "~/Test/"
>>                    "~/Test/autoload.el"
>>                    '("~/Test/input-ignore.el") nil nil t)
>>
>> autoloads from input-ignore.el aren't ignored.  Am I missing something?
>
> The excluded files weren't expanded.  I've now fixed this in Emacs 29.

Thanks for looking at this.  But it still doesn't work for with the
recipe I've posted in this message[1].  Does it work for you?  This is
with Emacs master 9d6d3b0edb.

Best, Arash

Footnotes:
[1]  https://lists.gnu.org/archive/html/bug-gnu-emacs/2022-08/msg01067.html